MediaWiki:Gadget-Tooltip.css: Difference between revisions

Raven.Familiar (talk | contribs)
No edit summary
Raven.Familiar (talk | contribs)
No edit summary
 
Line 2: Line 2:
/* Force disable default hover tooltip on mobile and enable the toggle */
/* Force disable default hover tooltip on mobile and enable the toggle */
.skin-fandommobile .hover-tooltip { display: none; }
.skin-fandommobile .hover-tooltip { display: none; }
.skin-fandommobile .custom-tt-wrapper.srw-collapsible .mw-collapsible-toggle { display: inline !important; }
.skin-fandommobile .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle { display: inline !important; }


/** Text styling **/
/** Text styling **/
/* Override collapsible stylings */
/* Override collapsible stylings */
.custom-tt-wrapper.srw-collapsible .mw-collapsible-toggle {
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
padding: 0;
padding: 0;
border: none;
border: none;
Line 17: Line 17:
font-weight: inherit;
font-weight: inherit;
}
}
.custom-tt-wrapper.srw-collapsible .mw-collapsible-content {
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-content {
font-weight: normal;
font-weight: normal;
}
}
Line 23: Line 23:


/*** The tooltip's toggle version ***/
/*** The tooltip's toggle version ***/
.toggle-tooltip.srw-collapsible, .text-tooltip {
.toggle-tooltip.hnaw-collapsible, .text-tooltip {
     position: relative;
     position: relative;
border-bottom-color: rgb(128, 128, 128);
border-bottom-color: rgb(128, 128, 128);
Line 136: Line 136:
}
}


.srw-extra-effect-wrapper.srw-collapsible.mw-collapsible {
.hnaw-extra-effect-wrapper.hnaw-collapsible.mw-collapsible {
padding: 0;
padding: 0;
border-bottom-style: solid;
border-bottom-style: solid;
Line 142: Line 142:
}
}


.mw-collapsible-content.srw-extra-effect {
.mw-collapsible-content.hnaw-extra-effect {
font-size: 16px;
font-size: 16px;
position: absolute;
position: absolute;
Line 160: Line 160:
}
}


.srw-extra-effect .srw-extra-effect-header {
.hnaw-extra-effect .hnaw-extra-effect-header {
display: block;
display: block;
font-weight: bold;
font-weight: bold;
Line 167: Line 167:
}
}


.skin-fandommobile .srw-extra-effect-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.srw-extra-effect {
.skin-fandommobile .hnaw-extra-effect-wrapper .mw-collapsible-toggle-expanded + .mw-collapsible-content.hnaw-extra-effect {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;